com.saxonica.stream.feed

## Class EmptyTextNodeRemoverFeed

- java.lang.Object
- - com.saxonica.stream.feed.ItemFeed
  - - com.saxonica.stream.feed.EmptyTextNodeRemoverFeed

- All Implemented Interfaces:
    Feed

      public class EmptyTextNodeRemoverFeed
      extends ItemFeed

  This class is used when a streaming template requests evaluation of a simple content constructor in streaming mode (that is, when it constructs a text, attribute, comment, or PI node based on the contents of the streamed document). It removes empty text nodes arriving on the input, and concatenates adjacent text nodes into a single text node.

  Both a Feed and a Watch are needed because a simple content constructor operates on a sequence of nodes without simply atomizing the sequence.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyTextNodeRemoverFeed(Expression expr, Feed result, Stack<XPathContext> contextStack)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Item item)` Supply an item to the feed

    - ### Methods inherited from class com.saxonica.stream.feed.ItemFeed

      `close, getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, open, setPipelineConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyTextNodeRemoverFeed

          public EmptyTextNodeRemoverFeed(Expression expr,
                                  Feed result,
                                  Stack<XPathContext> contextStack)

  - ### Method Detail

    - #### append

          public void append(Item item)
                      throws XPathException

      Supply an item to the feed
      Specified by:
        `append` in interface `Feed`
      Specified by:
        `append` in class `ItemFeed`
      Parameters:
        `item` - the item being fed
      Throws:
        `XPathException` - to report any failure

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.